Bug 1310599 (CVE-2016-0702) - CVE-2016-0702 OpenSSL: Side channel attack on modular exponentiation
Summary: CVE-2016-0702 OpenSSL: Side channel attack on modular exponentiation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0702
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1331752 1301849 1301850 1301851 1301852 1313535 1313595 1313598
Blocks: 1301847 1395463
TreeView+ depends on / blocked
 
Reported: 2016-02-22 10:34 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-10-10 11:17 UTC (History)
26 users (show)

Fixed In Version: openssl 1.0.1s, openssl 1.0.2g
Doc Type: Bug Fix
Doc Text:
A side-channel attack was found that makes use of cache-bank conflicts on the Intel Sandy-Bridge microarchitecture. An attacker who has the ability to control code in a thread running on the same hyper-threaded core as the victim's thread that is performing decryption, could use this flaw to recover RSA private keys.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:48:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0301 normal SHIPPED_LIVE Important: openssl security update 2016-03-01 21:07:25 UTC
Red Hat Product Errata RHSA-2016:0379 normal SHIPPED_LIVE Important: rhev-hypervisor security, bug fix and enhancement update 2016-03-09 19:10:28 UTC
Red Hat Product Errata RHSA-2016:2957 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP 2.4.23 Release 2016-12-16 03:11:19 UTC

Description Huzaifa S. Sidhpurwala 2016-02-22 10:34:34 UTC
As per Upstream security advisory:

A side-channel attack was found which makes use of cache-bank conflicts on the
Intel Sandy-Bridge microarchitecture which could lead to the recovery of RSA
keys.  The ability to exploit this issue is limited as it relies on an attacker
who has control of code in a thread running on the same hyper-threaded core as
the victim thread which is performing decryptions.

This issue affects OpenSSL versions 1.0.2 and 1.0.1.

OpenSSL 1.0.2 users should upgrade to 1.0.2g
OpenSSL 1.0.1 users should upgrade to 1.0.1s

This issue was reported to OpenSSL on Jan 8th 2016 by Yuval Yarom, The
University of Adelaide and NICTA, Daniel Genkin, Technion and Tel Aviv
University, and Nadia Heninger, University of Pennsylvania with more
information at http://cachebleed.info.  The fix was developed by Andy Polyakov
of OpenSSL.

Comment 3 Martin Prpič 2016-02-29 12:29:04 UTC
Acknowledgments:

Name: the OpenSSL project
Upstream: Yuval Yarom (University of Adelaide and NICTA), Daniel Genkin (Technion and Tel Aviv University), Nadia Heninger (University of Pennsylvania)

Comment 4 Martin Prpič 2016-03-01 09:01:28 UTC
External References:

http://cachebleed.info/
https://www.openssl.org/news/secadv/20160301.txt

Comment 6 errata-xmlrpc 2016-03-01 16:09:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0301 https://rhn.redhat.com/errata/RHSA-2016-0301.html

Comment 10 Fedora Update System 2016-03-03 20:22:36 UTC
openssl-1.0.2g-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2016-03-09 14:49:29 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6
  RHEV-H and Agents for RHEL-7

Via RHSA-2016:0379 https://rhn.redhat.com/errata/RHSA-2016-0379.html

Comment 12 Fedora Update System 2016-03-13 09:51:51 UTC
openssl-1.0.1k-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-03-17 18:24:35 UTC
openssl101e-1.0.1e-7.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2016-12-15 22:15:53 UTC
This issue has been addressed in the following products:



Via RHSA-2016:2957 https://rhn.redhat.com/errata/RHSA-2016-2957.html


Note You need to log in before you can comment on or make changes to this bug.